org.modeshape.jcr.query.lucene

## Class RelikeQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.MultiTermQuery
    - - org.modeshape.jcr.query.lucene.RelikeQuery

- All Implemented Interfaces:
    Serializable, Cloneable

      public class RelikeQuery
      extends org.apache.lucene.search.MultiTermQuery

  A Lucene `Query` implementation that matches some value by document property as like pattern.
  See Also:
    `RelikeTermEnum`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.MultiTermQuery

      `org.apache.lucene.search.MultiTermQuery.ConstantScoreAutoRewrite, org.apache.lucene.search.MultiTermQuery.RewriteMethod, org.apache.lucene.search.MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite, org.apache.lucene.search.MultiTermQuery.TopTermsScoringBooleanQueryRewrite`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.MultiTermQuery

      `CONSTANT_SCORE_AUTO_REWRITE_DEFAULT, CONSTANT_SCORE_BOOLEAN_QUERY_REWRITE, CONSTANT_SCORE_FILTER_REWRITE, rewriteMethod, SCORING_BOOLEAN_QUERY_REWRITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelikeQuery(String fieldName, String relikeValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `protected org.apache.lucene.search.FilteredTermEnum` | `getEnum(org.apache.lucene.index.IndexReader reader)`
    `org.apache.lucene.index.Term` | `getTerm()`
    `int` | `hashCode()`
    `static boolean` | `like(String value, String pattern)`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.lucene.search.MultiTermQuery

      `clearTotalNumberOfTerms, getRewriteMethod, getTotalNumberOfTerms, incTotalNumberOfTerms, rewrite, setRewriteMethod`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, combine, createWeight, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RelikeQuery

          public RelikeQuery(String fieldName,
                     String relikeValue)

  - ### Method Detail

    - #### getEnum

          protected org.apache.lucene.search.FilteredTermEnum getEnum(org.apache.lucene.index.IndexReader reader)
                                                               throws IOException

      Specified by:
        `getEnum` in class `org.apache.lucene.search.MultiTermQuery`
      Throws:
        `IOException`

    - #### getTerm

          public org.apache.lucene.index.Term getTerm()

    - #### toString

          public String toString(String field)

      Specified by:
        `toString` in class `org.apache.lucene.search.Query`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `org.apache.lucene.search.MultiTermQuery`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.apache.lucene.search.MultiTermQuery`

    - #### like

          public static boolean like(String value,
                     String pattern)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.